'use strict'

const PeerInfo = require('peer-info')
const Node = require('./libp2p-bundle')

function createNode (callback) {
  PeerInfo.create((err, peerInfo) => {
    if (err) {
      return callback(err)
    }

    const peerIdStr = peerInfo.id.toB58String()
    const ma = `/libp2p-webrtc-star/dns4/star-signal.cloud.ipfs.team/wss/ipfs/${peerIdStr}`

    peerInfo.multiaddrs.add(ma)

    const node = new Node(peerInfo, undefined, { webRTCStar: true })

    node.idStr = peerIdStr
    callback(null, node)
  })
}

module.exports = createNode
